Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.jiraserver
Class JiraServerDefinitionImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.jiraserver.JiraServerDefinitionImpl

All Implemented Interfaces:
  BambooObject, JiraServerDefinition

    public class JiraServerDefinitionImpl

extends BambooEntityObject
implements JiraServerDefinition

Field Summary
`protected String` | `name`

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`JiraServerDefinitionImpl()`
`JiraServerDefinitionImpl(long id, String name, String host, String username, String password)`

Method Summary
`String` | `getEncryptedPassword()`
`String` | `getHost()`
`RemoteIssue` | `getJiraIssueByKey(String key)` This gets an issue from JIRA via SOAP RPC.
`Collection` | `getJiraIssuesByKeys(Collection keys)` Gets a collection of issues from JIRA via SOAP RPC given a collection of JIRA issue keys.
`String` | `getName()`
`String` | `getPassword()`
`String` | `getUsername()`
`void` | `setEncryptedPassword(String password)`
`void` | `setHost(String host)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.jiraserver.JiraServerDefinition
`getId, setId`

Field Detail

### name

    protected String name

Constructor Detail

### JiraServerDefinitionImpl

    public JiraServerDefinitionImpl()

### JiraServerDefinitionImpl

    public JiraServerDefinitionImpl(long id,
                                    String name,
                                    String host,
                                    String username,
                                    String password)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `JiraServerDefinition`
  Returns:
    a name specified by the user to label the server

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `JiraServerDefinition`

### getHost

    public String getHost()

  Specified by:
    `getHost` in interface `JiraServerDefinition`
  Returns:
    the path to the JIRA server

### setHost

    public void setHost(String host)

  Specified by:
    `setHost` in interface `JiraServerDefinition`

### getUsername

    public String getUsername()

  Specified by:
    `getUsername` in interface `JiraServerDefinition`
  Returns:
    username to the JIRA login

### setUsername

    public void setUsername(String username)

  Specified by:
    `setUsername` in interface `JiraServerDefinition`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `JiraServerDefinition`
  Returns:
    password to login to JIRA

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `JiraServerDefinition`

### getEncryptedPassword

    public String getEncryptedPassword()

  Specified by:
    `getEncryptedPassword` in interface `JiraServerDefinition`
  Returns:
    encrypted version of the password

### setEncryptedPassword

    public void setEncryptedPassword(String password)

  Specified by:
    `setEncryptedPassword` in interface `JiraServerDefinition`

### getJiraIssuesByKeys

    public Collection getJiraIssuesByKeys(Collection keys)
                                   throws Exception

  Description copied from interface: `JiraServerDefinition`
  Gets a collection of issues from JIRA via SOAP RPC given a collection of JIRA issue keys.

  Specified by:
    `getJiraIssuesByKeys` in interface `JiraServerDefinition`
  Returns:
    `Collection` of `RemoteIssue`s.
  Throws:
    `Exception`

### getJiraIssueByKey

    public RemoteIssue getJiraIssueByKey(String key)
                                  throws Exception

  Description copied from interface: `JiraServerDefinition`
  This gets an issue from JIRA via SOAP RPC.

  Specified by:
    `getJiraIssueByKey` in interface `JiraServerDefinition`
  Parameters:
    `key` - - JIRA issue key
  Returns:
    `RemoteIssue` object representing the JIRA issue.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.